Bug 63893 - Doesn't use default queue for remote UNIX printer
Doesn't use default queue for remote UNIX printer
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-20 15:32 EDT by Chris Negus
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:36:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Negus 2002-04-20 15:32:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
In the printconf-gui window, when adding a New UNIX printer, the "Configure a
UNIX Printer Queue" screen says: "If no queue is specified, you will use the
default queue on the remote server." It did not. It actually tried to use a
printer of the Queue Name I gave it on the previous page. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.printconf-gui&
2.Click New
3.Click Next
4.Type "maplehp" as Queue name and select Unix Printer.Click Next.
5.Typed server name "maple" and left queue blank (to use default printer on
maple, as text on screen says).
6. Select printer type.
7. Click Finish.
8. Save changes and restarted lpd.
9 Tried to print to maplehp. Failed.

Instead of trying to print to hp@maple (hp is the default printer on maple) it
tried to print to maplehp@maple.

I assumed that the idea of this feature is that you didn't have to know the name
of the default printer on the UNIX print server. You would have to use the
remote name as the local printer name for it to work as it is.
	

Actual Results:  The print job was spooled to an incorrect printer name.

Expected Results:  Printing should have detected the default printer on the
remote UNIX print server.

Additional info:
Comment 1 Tim Waugh 2002-05-16 10:14:48 EDT
Not sure if the text is wrong or if it's an LPRng bug or something.
Comment 2 Bill Nottingham 2006-08-05 00:36:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:36:49 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.